Bug 221810 - new port: converters/osm2pgrouting: Import OSM data into pgRouting database
Summary: new port: converters/osm2pgrouting: Import OSM data into pgRouting database
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13882
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-25 17:17 UTC by Loïc Bartoletti
Modified: 2018-01-15 23:31 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
new port converters/osm2pgrouting (6.05 KB, patch)
2017-08-25 17:17 UTC, Loïc Bartoletti
no flags Details | Diff
new port converters/osm2pgrouting (8.02 KB, patch)
2017-10-15 07:34 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
new port converters/osm2pgrouting - 2.3.3 (8.74 KB, patch)
2017-12-18 21:16 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2017-08-25 17:17:04 UTC
Created attachment 185759 [details]
new port converters/osm2pgrouting

osm2pgrouting is a tool to import OSM data into pgRouting (databases/pgrouting: PostgreSQL extension).

Poudriere 10, 11, 12 i386/amd64 OK
portlint ok

Tested on FreeBSD 11amd64 for client and 11amd64 PostgreSQL 9.5 Pgrouting 2.4 OK
Comment 1 Loïc Bartoletti 2017-10-15 07:34:28 UTC
Created attachment 187188 [details]
new port converters/osm2pgrouting
Comment 2 Loïc Bartoletti 2017-12-18 21:16:24 UTC
Created attachment 188942 [details]
new port converters/osm2pgrouting - 2.3.3
Comment 3 Yuri Victorovich freebsd_committer 2018-01-12 06:12:30 UTC
Thanks for your submission.

* You should never patch the same file from both files/patch-* and Makefile. This leads to wrong regenerated patches.
* You cut words in the middle in pkg-descr
* Uses section should begin with USES=
* No need to install COPYING. It is set using LICENSE_FILE=

Please don't correct those, I've already corrected them.

Thanks,
Yuri
Comment 4 Yuri Victorovich freebsd_committer 2018-01-15 23:30:39 UTC
Committed with some changes.

Thank you for your contribution!
Comment 5 commit-hook freebsd_committer 2018-01-15 23:31:21 UTC
A commit references this bug:

Author: yuri
Date: Mon Jan 15 23:30:34 UTC 2018
New revision: 459138
URL: https://svnweb.freebsd.org/changeset/ports/459138

Log:
  New port: converters/osm2pgrouting: Import OSM data into pgRouting database

  PR:		221810
  Submitted by:	lbartoletti <lbartoletti@tuxfamily.org>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13882

Changes:
  head/converters/Makefile
  head/converters/osm2pgrouting/
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgrouting/distinfo
  head/converters/osm2pgrouting/files/
  head/converters/osm2pgrouting/files/patch-CMakeLists.txt
  head/converters/osm2pgrouting/files/patch-include_parser_ConfigurationParserCallback.h
  head/converters/osm2pgrouting/files/patch-include_parser_OSMDocumentParserCallback.h
  head/converters/osm2pgrouting/pkg-descr
  head/converters/osm2pgrouting/pkg-plist